Name: bitcoinj
Version: 0.14.3
Release: 1%{?dist}
Summary: A Java library implementation of the Bitcoin protocol

# MIT: ./core/src/main/java/org/bitcoinj/crypto/EncryptedData.java
#      ./core/src/main/java/org/bitcoinj/crypto/KeyCrypter.java
#      ./core/src/main/java/org/bitcoinj/crypto/KeyCrypterScrypt.java
#      ./core/src/main/java/org/bitcoinj/crypto/PBKDF2SHA512.java
#      ./core/src/test/java/org/bitcoinj/crypto/KeyCrypterScryptTest.java

License: ASL 2.0 and MIT
URL: http://www.bitcoinj.org/
Source0: https://github.com/%{name}/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0: disable-orchid.patch
BuildArch: noarch

BuildRequires: maven-local
BuildRequires: protobuf-compiler
BuildRequires: mvn(com.lambdaworks:scrypt)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk16)
BuildRequires: mvn(com.squareup.okhttp:okhttp)
BuildRequires: mvn(net.jcip:jcip-annotations)
BuildRequires: mvn(com.google.code.findbugs:jsr305)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildRequires: leveldb
BuildRequires: mvn(org.fusesource.leveldbjni:leveldbjni)
BuildRequires: mvn(org.iq80.leveldb:leveldb)
BuildRequires: mvn(org.fusesource.hawtjni:hawtjni-runtime)

BuildRequires: mvn(org.jacoco:jacoco-maven-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires: mvn(com.h2database:h2)
BuildRequires: mvn(com.google.protobuf:protobuf-java)
BuildRequires: mvn(org.slf4j:slf4j-jdk14)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.easymock:easymock)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)

%description
The bitcoinj library is a Java implementation of the Bitcoin protocol,
which allows it to maintain a wallet and send/receive transactions without
needing a local copy of Bitcoin Core.

The built-in Tor support via Orchid have been disabled, Tor is still
supported via SOCKS proxy.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 -p1

%pom_disable_module examples
%pom_disable_module tools
%pom_disable_module wallettemplate
%pom_remove_plugin -r org.apache.maven.plugins:maven-shade-plugin
%pom_remove_plugin -r org.sonatype.plugins:nexus-staging-maven-plugin
%pom_remove_plugin -r org.apache.maven.plugins:maven-enforcer-plugin

%pom_remove_dep -r postgresql:postgresql
%pom_remove_dep -r mysql:mysql-connector-java
%pom_add_dep org.iq80.leveldb:leveldb::compile core '<optional>true</optional>'
%pom_add_dep org.fusesource.hawtjni:hawtjni-runtime::compile core '<optional>true</optional>'

%pom_change_dep -r com.madgag.spongycastle:core org.bouncycastle:bcprov-jdk16
find ./core/src/ -type f -name '*.java' -exec sed -i 's/spongycastle/bouncycastle/g' '{}' +;

%build
%mvn_build -- -P no-network -DupdateProtobuf=true

%install
%mvn_install

%files -f .mfiles
%doc AUTHORS
%doc README.md
%license COPYING

%files javadoc -f .mfiles-javadoc
%license COPYING

%changelog
* Mon Jun 27 2016 Jonny Heggheim <hegjon@gmail.com> - 0.14.3-1
- Initial packaging
